Bug 1411126 - Suspicious detections on fresh installed system
Summary: Suspicious detections on fresh installed system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chkrootkit
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 15:14 UTC by redhat
Modified: 2017-04-13 23:51 UTC (History)
2 users (show)

Fixed In Version: chkrootkit-0.52-1.fc26 chkrootkit-0.52-1.fc24 chkrootkit-0.52-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-10 16:00:57 UTC
Type: Bug


Attachments (Terms of Use)

Description redhat 2017-01-08 15:14:29 UTC
Description of problem:
chkrootkit when run on a fresh installed FC25 system reports suspicious detections.

Checking `lkm'... chkproc: nothing detected
-146    /usr/share
-1      /usr/bin
-1      /usr/sbin
-41     /lib
chkdirs: Warning: Possible LKM Trojan installed


Version-Release number of selected component (if applicable):
chkrootkit-0.50-9.fc25.x86_64

How reproducible:
Everytime you run the script chkrootkit


Steps to Reproduce:
1. # chkrootkit
2.
3.

Actual results:
Checking `lkm'... chkproc: nothing detected
-146    /usr/share
-1      /usr/bin
-1      /usr/sbin
-41     /lib
chkdirs: Warning: Possible LKM Trojan installed


Expected results:
No warning about LKM Trojan


Additional info:

Comment 1 Fedora Update System 2017-04-04 18:48:24 UTC
chkrootkit-0.52-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8df4d86cda

Comment 2 Fedora Update System 2017-04-04 18:48:36 UTC
chkrootkit-0.52-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b761864bd2

Comment 3 Fedora Update System 2017-04-04 18:48:45 UTC
chkrootkit-0.52-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e016ac083

Comment 4 Fedora Update System 2017-04-05 19:53:53 UTC
chkrootkit-0.52-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e016ac083

Comment 5 Fedora Update System 2017-04-05 19:54:14 UTC
chkrootkit-0.52-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8df4d86cda

Comment 6 Fedora Update System 2017-04-05 21:54:37 UTC
chkrootkit-0.52-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b761864bd2

Comment 7 redhat 2017-04-06 15:30:55 UTC
The update package still reports regular files as suspicious:

Searching for suspicious files and dirs, it may take a while...
/usr/lib/debug/usr/.dwz /usr/lib/modules/4.10.8-200.fc25.x86_64/.vmlinuz.hmac

# rpm -qf /usr/lib/debug/usr/.dwz
filesystem-3.2-37.fc24.x86_64
# rpm -qf /usr/lib/modules/4.10.8-200.fc25.x86_64/.vmlinuz.hmac
kernel-core-4.10.8-200.fc25.x86_64

# rpm -q chkrootkit
chkrootkit-0.52-1.fc25.x86_64

Comment 8 Fedora Update System 2017-04-10 16:00:57 UTC
chkrootkit-0.52-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-13 22:48:12 UTC
chkrootkit-0.52-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-13 23:51:13 UTC
chkrootkit-0.52-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.